Subject: bug#57751: 29.0.50; crash in GC

From: Eli Zaretskii <[email-masked]>
Date: Thu, 15 Sep 2022 12:23:15 +0300

> Cc: [email-masked]
> From: Gerd Möllmann <[email-masked]>
> Date: Thu, 15 Sep 2022 10:42:12 +0200
> 
> Save the following 2 lines as crash.el, which are what I could reduce my
> init file to:
> 
> (custom-set-variables
>  '(save-place-mode t))
> 
> Then start Emacs from the src directory like this:
> 
> lldb emacs
> run -Q  -l crash.el xdisp.c dispextern.h lisp.h nsterm.m xterm.c
> 
> When the Emacs GUI window appears, quickly grab its titlebar with the
> mouse and drag it up.  I usually need a few trials (< 10) to be
> quick enough, or what the reason might be.
> 
> Result:
> 
> Process 94346 stopped
> * thread #1, queue = 'com.apple.main-thread', stop reason = EXC_BAD_ACCESS (code=1, address=0x1705bfbb0)
>     frame #0: 0x0000000100145e18 emacs`process_mark_stack [inlined] symbol_marked_p(s=0x00000001705bfbb0) at alloc.c:4020:7 [opt]
>    4017	{
>    4018	  return pdumper_object_p (s)
>    4019	    ? pdumper_marked_p (s)
> -> 4020	    : s->u.s.gcmarkbit;
>    4021	}
>    4022	
>    4023	static void

I cannot reproduce this.  Maybe this is specific to macOS, or maybe
one needs to build with native-comp and/or with optimizations?